lexer grammar calc5;

// $ANTLR src "calc5.g" 48
PI
    : 'PI'
    ;

// $ANTLR src "calc5.g" 52
E
    : 'E'
    ;
    
// $ANTLR src "calc5.g" 56
DOUBLE
    : INT
    | '.' INT
    | INT '.'
    | INT '.' INT
    ;

// $ANTLR src "calc5.g" 63
fragment INT
    : '0'..'9'+
    ;

// $ANTLR src "calc5.g" 67
PLUS
    : '+'
    ;
    
// $ANTLR src "calc5.g" 71
MINUS
    : '-'
    ;
    
// $ANTLR src "calc5.g" 75
MULT
    : '*'
    ;
    
// $ANTLR src "calc5.g" 79
DIV
    : '/'
    ;
    
// $ANTLR src "calc5.g" 83
POW
    : '**'
    ;

// $ANTLR src "calc5.g" 87
LPAR
    : '('
    ;

// $ANTLR src "calc5.g" 91
RPAR
    : ')'
    ;

// $ANTLR src "calc5.g" 95
NL
    : '\r'|'\n'
    ;

// $ANTLR src "calc5.g" 99
WHITESPACE
    : ('\t'|' '|'\u000C')+ {$channel = HIDDEN;}
    ;
