// $ANTLR 3.0.1 calc5.g 2010-03-23 17:20:32

import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class calc5Lexer extends Lexer {
    public static final int E=13;
    public static final int EXPR=4;
    public static final int POW=10;
    public static final int LPAR=14;
    public static final int DOUBLE=11;
    public static final int WHITESPACE=17;
    public static final int PLUS=6;
    public static final int RPAR=15;
    public static final int INT=16;
    public static final int PI=12;
    public static final int NL=5;
    public static final int MINUS=7;
    public static final int MULT=8;
    public static final int DIV=9;
    public static final int Tokens=18;
    public static final int EOF=-1;
    public calc5Lexer() {;} 
    public calc5Lexer(CharStream input) {
        super(input);
    }
    public String getGrammarFileName() { return "calc5.g"; }

    // $ANTLR start PI
    public final void mPI() throws RecognitionException {
        try {
            int _type = PI;
            // calc5.g:49:5: ( 'PI' )
            // calc5.g:49:7: 'PI'
            {
            match("PI"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end PI

    // $ANTLR start E
    public final void mE() throws RecognitionException {
        try {
            int _type = E;
            // calc5.g:53:5: ( 'E' )
            // calc5.g:53:7: 'E'
            {
            match('E'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end E

    // $ANTLR start DOUBLE
    public final void mDOUBLE() throws RecognitionException {
        try {
            int _type = DOUBLE;
            // calc5.g:57:5: ( INT | '.' INT | INT '.' | INT '.' INT )
            int alt1=4;
            alt1 = dfa1.predict(input);
            switch (alt1) {
                case 1 :
                    // calc5.g:57:7: INT
                    {
                    mINT(); 

                    }
                    break;
                case 2 :
                    // calc5.g:58:7: '.' INT
                    {
                    match('.'); 
                    mINT(); 

                    }
                    break;
                case 3 :
                    // calc5.g:59:7: INT '.'
                    {
                    mINT(); 
                    match('.'); 

                    }
                    break;
                case 4 :
                    // calc5.g:60:7: INT '.' INT
                    {
                    mINT(); 
                    match('.'); 
                    mINT(); 

                    }
                    break;

            }
            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end DOUBLE

    // $ANTLR start INT
    public final void mINT() throws RecognitionException {
        try {
            // calc5.g:64:5: ( ( '0' .. '9' )+ )
            // calc5.g:64:7: ( '0' .. '9' )+
            {
            // calc5.g:64:7: ( '0' .. '9' )+
            int cnt2=0;
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>='0' && LA2_0<='9')) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // calc5.g:64:7: '0' .. '9'
            	    {
            	    matchRange('0','9'); 

            	    }
            	    break;

            	default :
            	    if ( cnt2 >= 1 ) break loop2;
                        EarlyExitException eee =
                            new EarlyExitException(2, input);
                        throw eee;
                }
                cnt2++;
            } while (true);


            }

        }
        finally {
        }
    }
    // $ANTLR end INT

    // $ANTLR start PLUS
    public final void mPLUS() throws RecognitionException {
        try {
            int _type = PLUS;
            // calc5.g:68:5: ( '+' )
            // calc5.g:68:7: '+'
            {
            match('+'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end PLUS

    // $ANTLR start MINUS
    public final void mMINUS() throws RecognitionException {
        try {
            int _type = MINUS;
            // calc5.g:72:5: ( '-' )
            // calc5.g:72:7: '-'
            {
            match('-'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end MINUS

    // $ANTLR start MULT
    public final void mMULT() throws RecognitionException {
        try {
            int _type = MULT;
            // calc5.g:76:5: ( '*' )
            // calc5.g:76:7: '*'
            {
            match('*'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end MULT

    // $ANTLR start DIV
    public final void mDIV() throws RecognitionException {
        try {
            int _type = DIV;
            // calc5.g:80:5: ( '/' )
            // calc5.g:80:7: '/'
            {
            match('/'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end DIV

    // $ANTLR start POW
    public final void mPOW() throws RecognitionException {
        try {
            int _type = POW;
            // calc5.g:84:5: ( '**' )
            // calc5.g:84:7: '**'
            {
            match("**"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end POW

    // $ANTLR start LPAR
    public final void mLPAR() throws RecognitionException {
        try {
            int _type = LPAR;
            // calc5.g:88:5: ( '(' )
            // calc5.g:88:7: '('
            {
            match('('); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end LPAR

    // $ANTLR start RPAR
    public final void mRPAR() throws RecognitionException {
        try {
            int _type = RPAR;
            // calc5.g:92:5: ( ')' )
            // calc5.g:92:7: ')'
            {
            match(')'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RPAR

    // $ANTLR start NL
    public final void mNL() throws RecognitionException {
        try {
            int _type = NL;
            // calc5.g:96:5: ( '\\r' | '\\n' )
            // calc5.g:
            {
            if ( input.LA(1)=='\n'||input.LA(1)=='\r' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end NL

    // $ANTLR start WHITESPACE
    public final void mWHITESPACE() throws RecognitionException {
        try {
            int _type = WHITESPACE;
            // calc5.g:100:5: ( ( '\\t' | ' ' | '\\u000C' )+ )
            // calc5.g:100:7: ( '\\t' | ' ' | '\\u000C' )+
            {
            // calc5.g:100:7: ( '\\t' | ' ' | '\\u000C' )+
            int cnt3=0;
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( (LA3_0=='\t'||LA3_0=='\f'||LA3_0==' ') ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // calc5.g:
            	    {
            	    if ( input.LA(1)=='\t'||input.LA(1)=='\f'||input.LA(1)==' ' ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt3 >= 1 ) break loop3;
                        EarlyExitException eee =
                            new EarlyExitException(3, input);
                        throw eee;
                }
                cnt3++;
            } while (true);

            channel = HIDDEN;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end WHITESPACE

    public void mTokens() throws RecognitionException {
        // calc5.g:1:8: ( PI | E | DOUBLE | PLUS | MINUS | MULT | DIV | POW | LPAR | RPAR | NL | WHITESPACE )
        int alt4=12;
        switch ( input.LA(1) ) {
        case 'P':
            {
            alt4=1;
            }
            break;
        case 'E':
            {
            alt4=2;
            }
            break;
        case '.':
        case '0':
        case '1':
        case '2':
        case '3':
        case '4':
        case '5':
        case '6':
        case '7':
        case '8':
        case '9':
            {
            alt4=3;
            }
            break;
        case '+':
            {
            alt4=4;
            }
            break;
        case '-':
            {
            alt4=5;
            }
            break;
        case '*':
            {
            int LA4_6 = input.LA(2);

            if ( (LA4_6=='*') ) {
                alt4=8;
            }
            else {
                alt4=6;}
            }
            break;
        case '/':
            {
            alt4=7;
            }
            break;
        case '(':
            {
            alt4=9;
            }
            break;
        case ')':
            {
            alt4=10;
            }
            break;
        case '\n':
        case '\r':
            {
            alt4=11;
            }
            break;
        case '\t':
        case '\f':
        case ' ':
            {
            alt4=12;
            }
            break;
        default:
            NoViableAltException nvae =
                new NoViableAltException("1:1: Tokens : ( PI | E | DOUBLE | PLUS | MINUS | MULT | DIV | POW | LPAR | RPAR | NL | WHITESPACE );", 4, 0, input);

            throw nvae;
        }

        switch (alt4) {
            case 1 :
                // calc5.g:1:10: PI
                {
                mPI(); 

                }
                break;
            case 2 :
                // calc5.g:1:13: E
                {
                mE(); 

                }
                break;
            case 3 :
                // calc5.g:1:15: DOUBLE
                {
                mDOUBLE(); 

                }
                break;
            case 4 :
                // calc5.g:1:22: PLUS
                {
                mPLUS(); 

                }
                break;
            case 5 :
                // calc5.g:1:27: MINUS
                {
                mMINUS(); 

                }
                break;
            case 6 :
                // calc5.g:1:33: MULT
                {
                mMULT(); 

                }
                break;
            case 7 :
                // calc5.g:1:38: DIV
                {
                mDIV(); 

                }
                break;
            case 8 :
                // calc5.g:1:42: POW
                {
                mPOW(); 

                }
                break;
            case 9 :
                // calc5.g:1:46: LPAR
                {
                mLPAR(); 

                }
                break;
            case 10 :
                // calc5.g:1:51: RPAR
                {
                mRPAR(); 

                }
                break;
            case 11 :
                // calc5.g:1:56: NL
                {
                mNL(); 

                }
                break;
            case 12 :
                // calc5.g:1:59: WHITESPACE
                {
                mWHITESPACE(); 

                }
                break;

        }

    }


    protected DFA1 dfa1 = new DFA1(this);
    static final String DFA1_eotS =
        "\1\uffff\1\3\2\uffff\1\6\2\uffff";
    static final String DFA1_eofS =
        "\7\uffff";
    static final String DFA1_minS =
        "\2\56\2\uffff\1\60\2\uffff";
    static final String DFA1_maxS =
        "\2\71\2\uffff\1\71\2\uffff";
    static final String DFA1_acceptS =
        "\2\uffff\1\2\1\1\1\uffff\1\4\1\3";
    static final String DFA1_specialS =
        "\7\uffff}>";
    static final String[] DFA1_transitionS = {
            "\1\2\1\uffff\12\1",
            "\1\4\1\uffff\12\1",
            "",
            "",
            "\12\5",
            "",
            ""
    };

    static final short[] DFA1_eot = DFA.unpackEncodedString(DFA1_eotS);
    static final short[] DFA1_eof = DFA.unpackEncodedString(DFA1_eofS);
    static final char[] DFA1_min = DFA.unpackEncodedStringToUnsignedChars(DFA1_minS);
    static final char[] DFA1_max = DFA.unpackEncodedStringToUnsignedChars(DFA1_maxS);
    static final short[] DFA1_accept = DFA.unpackEncodedString(DFA1_acceptS);
    static final short[] DFA1_special = DFA.unpackEncodedString(DFA1_specialS);
    static final short[][] DFA1_transition;

    static {
        int numStates = DFA1_transitionS.length;
        DFA1_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA1_transition[i] = DFA.unpackEncodedString(DFA1_transitionS[i]);
        }
    }

    class DFA1 extends DFA {

        public DFA1(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 1;
            this.eot = DFA1_eot;
            this.eof = DFA1_eof;
            this.min = DFA1_min;
            this.max = DFA1_max;
            this.accept = DFA1_accept;
            this.special = DFA1_special;
            this.transition = DFA1_transition;
        }
        public String getDescription() {
            return "56:1: DOUBLE : ( INT | '.' INT | INT '.' | INT '.' INT );";
        }
    }
 

}