// $ANTLR 3.0.1 calc5.g 2010-03-23 17:20:32

import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;


import org.antlr.runtime.tree.*;

public class calc5Parser extends Parser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "EXPR", "NL", "PLUS", "MINUS", "MULT", "DIV", "POW", "DOUBLE", "PI", "E", "LPAR", "RPAR", "INT", "WHITESPACE"
    };
    public static final int E=13;
    public static final int EXPR=4;
    public static final int POW=10;
    public static final int LPAR=14;
    public static final int DOUBLE=11;
    public static final int WHITESPACE=17;
    public static final int RPAR=15;
    public static final int PLUS=6;
    public static final int INT=16;
    public static final int PI=12;
    public static final int NL=5;
    public static final int DIV=9;
    public static final int MULT=8;
    public static final int MINUS=7;
    public static final int EOF=-1;

        public calc5Parser(TokenStream input) {
            super(input);
        }
        
    protected TreeAdaptor adaptor = new CommonTreeAdaptor();

    public void setTreeAdaptor(TreeAdaptor adaptor) {
        this.adaptor = adaptor;
    }
    public TreeAdaptor getTreeAdaptor() {
        return adaptor;
    }

    public String[] getTokenNames() { return tokenNames; }
    public String getGrammarFileName() { return "calc5.g"; }


    public static class calc_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start calc
    // calc5.g:11:1: calc : lines EOF ;
    public final calc_return calc() throws RecognitionException {
        calc_return retval = new calc_return();
        retval.start = input.LT(1);

        Object root_0 = null;

        Token EOF2=null;
        lines_return lines1 = null;


        Object EOF2_tree=null;

        try {
            // calc5.g:12:5: ( lines EOF )
            // calc5.g:12:7: lines EOF
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_lines_in_calc42);
            lines1=lines();
            _fsp--;

            adaptor.addChild(root_0, lines1.getTree());
            EOF2=(Token)input.LT(1);
            match(input,EOF,FOLLOW_EOF_in_calc44); 

            }

            retval.stop = input.LT(-1);

                retval.tree = (Object)adaptor.rulePostProcessing(root_0);
                adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end calc

    public static class lines_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start lines
    // calc5.g:15:1: lines : ( line NL )+ ;
    public final lines_return lines() throws RecognitionException {
        lines_return retval = new lines_return();
        retval.start = input.LT(1);

        Object root_0 = null;

        Token NL4=null;
        line_return line3 = null;


        Object NL4_tree=null;

        try {
            // calc5.g:16:5: ( ( line NL )+ )
            // calc5.g:16:7: ( line NL )+
            {
            root_0 = (Object)adaptor.nil();

            // calc5.g:16:7: ( line NL )+
            int cnt1=0;
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( ((LA1_0>=PLUS && LA1_0<=MINUS)||(LA1_0>=DOUBLE && LA1_0<=LPAR)) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // calc5.g:16:8: line NL
            	    {
            	    pushFollow(FOLLOW_line_in_lines67);
            	    line3=line();
            	    _fsp--;

            	    adaptor.addChild(root_0, line3.getTree());
            	    NL4=(Token)input.LT(1);
            	    match(input,NL,FOLLOW_NL_in_lines69); 

            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);


            }

            retval.stop = input.LT(-1);

                retval.tree = (Object)adaptor.rulePostProcessing(root_0);
                adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end lines

    public static class line_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start line
    // calc5.g:19:1: line : expr ;
    public final line_return line() throws RecognitionException {
        line_return retval = new line_return();
        retval.start = input.LT(1);

        Object root_0 = null;

        expr_return expr5 = null;



        try {
            // calc5.g:20:5: ( expr )
            // calc5.g:20:7: expr
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_expr_in_line89);
            expr5=expr();
            _fsp--;

            adaptor.addChild(root_0, expr5.getTree());

            }

            retval.stop = input.LT(-1);

                retval.tree = (Object)adaptor.rulePostProcessing(root_0);
                adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end line

    public static class expr_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start expr
    // calc5.g:23:1: expr : t1= term ( PLUS t2= term | MINUS t2= term )* ;
    public final expr_return expr() throws RecognitionException {
        expr_return retval = new expr_return();
        retval.start = input.LT(1);

        Object root_0 = null;

        Token PLUS6=null;
        Token MINUS7=null;
        term_return t1 = null;

        term_return t2 = null;


        Object PLUS6_tree=null;
        Object MINUS7_tree=null;

        try {
            // calc5.g:24:5: (t1= term ( PLUS t2= term | MINUS t2= term )* )
            // calc5.g:24:7: t1= term ( PLUS t2= term | MINUS t2= term )*
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_term_in_expr108);
            t1=term();
            _fsp--;

            adaptor.addChild(root_0, t1.getTree());
            // calc5.g:24:15: ( PLUS t2= term | MINUS t2= term )*
            loop2:
            do {
                int alt2=3;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==PLUS) ) {
                    alt2=1;
                }
                else if ( (LA2_0==MINUS) ) {
                    alt2=2;
                }


                switch (alt2) {
            	case 1 :
            	    // calc5.g:24:16: PLUS t2= term
            	    {
            	    PLUS6=(Token)input.LT(1);
            	    match(input,PLUS,FOLLOW_PLUS_in_expr111); 
            	    PLUS6_tree = (Object)adaptor.create(PLUS6);
            	    root_0 = (Object)adaptor.becomeRoot(PLUS6_tree, root_0);

            	    pushFollow(FOLLOW_term_in_expr116);
            	    t2=term();
            	    _fsp--;

            	    adaptor.addChild(root_0, t2.getTree());

            	    }
            	    break;
            	case 2 :
            	    // calc5.g:24:32: MINUS t2= term
            	    {
            	    MINUS7=(Token)input.LT(1);
            	    match(input,MINUS,FOLLOW_MINUS_in_expr120); 
            	    MINUS7_tree = (Object)adaptor.create(MINUS7);
            	    root_0 = (Object)adaptor.becomeRoot(MINUS7_tree, root_0);

            	    pushFollow(FOLLOW_term_in_expr125);
            	    t2=term();
            	    _fsp--;

            	    adaptor.addChild(root_0, t2.getTree());

            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

                retval.tree = (Object)adaptor.rulePostProcessing(root_0);
                adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end expr

    public static class term_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start term
    // calc5.g:27:1: term : f1= factor ( MULT f2= factor | DIV f2= factor )* ;
    public final term_return term() throws RecognitionException {
        term_return retval = new term_return();
        retval.start = input.LT(1);

        Object root_0 = null;

        Token MULT8=null;
        Token DIV9=null;
        factor_return f1 = null;

        factor_return f2 = null;


        Object MULT8_tree=null;
        Object DIV9_tree=null;

        try {
            // calc5.g:28:5: (f1= factor ( MULT f2= factor | DIV f2= factor )* )
            // calc5.g:28:7: f1= factor ( MULT f2= factor | DIV f2= factor )*
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_factor_in_term146);
            f1=factor();
            _fsp--;

            adaptor.addChild(root_0, f1.getTree());
            // calc5.g:28:17: ( MULT f2= factor | DIV f2= factor )*
            loop3:
            do {
                int alt3=3;
                int LA3_0 = input.LA(1);

                if ( (LA3_0==MULT) ) {
                    alt3=1;
                }
                else if ( (LA3_0==DIV) ) {
                    alt3=2;
                }


                switch (alt3) {
            	case 1 :
            	    // calc5.g:28:18: MULT f2= factor
            	    {
            	    MULT8=(Token)input.LT(1);
            	    match(input,MULT,FOLLOW_MULT_in_term149); 
            	    MULT8_tree = (Object)adaptor.create(MULT8);
            	    root_0 = (Object)adaptor.becomeRoot(MULT8_tree, root_0);

            	    pushFollow(FOLLOW_factor_in_term154);
            	    f2=factor();
            	    _fsp--;

            	    adaptor.addChild(root_0, f2.getTree());

            	    }
            	    break;
            	case 2 :
            	    // calc5.g:28:36: DIV f2= factor
            	    {
            	    DIV9=(Token)input.LT(1);
            	    match(input,DIV,FOLLOW_DIV_in_term158); 
            	    DIV9_tree = (Object)adaptor.create(DIV9);
            	    root_0 = (Object)adaptor.becomeRoot(DIV9_tree, root_0);

            	    pushFollow(FOLLOW_factor_in_term163);
            	    f2=factor();
            	    _fsp--;

            	    adaptor.addChild(root_0, f2.getTree());

            	    }
            	    break;

            	default :
            	    break loop3;
                }
            } while (true);


            }

            retval.stop = input.LT(-1);

                retval.tree = (Object)adaptor.rulePostProcessing(root_0);
                adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end term

    public static class factor_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start factor
    // calc5.g:31:1: factor : ( PLUS f1= factor | MINUS f2= factor | power );
    public final factor_return factor() throws RecognitionException {
        factor_return retval = new factor_return();
        retval.start = input.LT(1);

        Object root_0 = null;

        Token PLUS10=null;
        Token MINUS11=null;
        factor_return f1 = null;

        factor_return f2 = null;

        power_return power12 = null;


        Object PLUS10_tree=null;
        Object MINUS11_tree=null;

        try {
            // calc5.g:32:5: ( PLUS f1= factor | MINUS f2= factor | power )
            int alt4=3;
            switch ( input.LA(1) ) {
            case PLUS:
                {
                alt4=1;
                }
                break;
            case MINUS:
                {
                alt4=2;
                }
                break;
            case DOUBLE:
            case PI:
            case E:
            case LPAR:
                {
                alt4=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("31:1: factor : ( PLUS f1= factor | MINUS f2= factor | power );", 4, 0, input);

                throw nvae;
            }

            switch (alt4) {
                case 1 :
                    // calc5.g:32:7: PLUS f1= factor
                    {
                    root_0 = (Object)adaptor.nil();

                    PLUS10=(Token)input.LT(1);
                    match(input,PLUS,FOLLOW_PLUS_in_factor186); 
                    PLUS10_tree = (Object)adaptor.create(PLUS10);
                    root_0 = (Object)adaptor.becomeRoot(PLUS10_tree, root_0);

                    pushFollow(FOLLOW_factor_in_factor191);
                    f1=factor();
                    _fsp--;

                    adaptor.addChild(root_0, f1.getTree());

                    }
                    break;
                case 2 :
                    // calc5.g:33:7: MINUS f2= factor
                    {
                    root_0 = (Object)adaptor.nil();

                    MINUS11=(Token)input.LT(1);
                    match(input,MINUS,FOLLOW_MINUS_in_factor199); 
                    MINUS11_tree = (Object)adaptor.create(MINUS11);
                    root_0 = (Object)adaptor.becomeRoot(MINUS11_tree, root_0);

                    pushFollow(FOLLOW_factor_in_factor204);
                    f2=factor();
                    _fsp--;

                    adaptor.addChild(root_0, f2.getTree());

                    }
                    break;
                case 3 :
                    // calc5.g:34:7: power
                    {
                    root_0 = (Object)adaptor.nil();

                    pushFollow(FOLLOW_power_in_factor212);
                    power12=power();
                    _fsp--;

                    adaptor.addChild(root_0, power12.getTree());

                    }
                    break;

            }
            retval.stop = input.LT(-1);

                retval.tree = (Object)adaptor.rulePostProcessing(root_0);
                adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end factor

    public static class power_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start power
    // calc5.g:37:1: power : atom ( POW f= factor )? ;
    public final power_return power() throws RecognitionException {
        power_return retval = new power_return();
        retval.start = input.LT(1);

        Object root_0 = null;

        Token POW14=null;
        factor_return f = null;

        atom_return atom13 = null;


        Object POW14_tree=null;

        try {
            // calc5.g:38:5: ( atom ( POW f= factor )? )
            // calc5.g:38:7: atom ( POW f= factor )?
            {
            root_0 = (Object)adaptor.nil();

            pushFollow(FOLLOW_atom_in_power229);
            atom13=atom();
            _fsp--;

            adaptor.addChild(root_0, atom13.getTree());
            // calc5.g:38:12: ( POW f= factor )?
            int alt5=2;
            int LA5_0 = input.LA(1);

            if ( (LA5_0==POW) ) {
                alt5=1;
            }
            switch (alt5) {
                case 1 :
                    // calc5.g:38:13: POW f= factor
                    {
                    POW14=(Token)input.LT(1);
                    match(input,POW,FOLLOW_POW_in_power232); 
                    POW14_tree = (Object)adaptor.create(POW14);
                    root_0 = (Object)adaptor.becomeRoot(POW14_tree, root_0);

                    pushFollow(FOLLOW_factor_in_power237);
                    f=factor();
                    _fsp--;

                    adaptor.addChild(root_0, f.getTree());

                    }
                    break;

            }


            }

            retval.stop = input.LT(-1);

                retval.tree = (Object)adaptor.rulePostProcessing(root_0);
                adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end power

    public static class atom_return extends ParserRuleReturnScope {
        Object tree;
        public Object getTree() { return tree; }
    };

    // $ANTLR start atom
    // calc5.g:41:1: atom : ( DOUBLE | PI | E | LPAR expr RPAR -> ^( expr ) );
    public final atom_return atom() throws RecognitionException {
        atom_return retval = new atom_return();
        retval.start = input.LT(1);

        Object root_0 = null;

        Token DOUBLE15=null;
        Token PI16=null;
        Token E17=null;
        Token LPAR18=null;
        Token RPAR20=null;
        expr_return expr19 = null;


        Object DOUBLE15_tree=null;
        Object PI16_tree=null;
        Object E17_tree=null;
        Object LPAR18_tree=null;
        Object RPAR20_tree=null;
        RewriteRuleTokenStream stream_RPAR=new RewriteRuleTokenStream(adaptor,"token RPAR");
        RewriteRuleTokenStream stream_LPAR=new RewriteRuleTokenStream(adaptor,"token LPAR");
        RewriteRuleSubtreeStream stream_expr=new RewriteRuleSubtreeStream(adaptor,"rule expr");
        try {
            // calc5.g:42:5: ( DOUBLE | PI | E | LPAR expr RPAR -> ^( expr ) )
            int alt6=4;
            switch ( input.LA(1) ) {
            case DOUBLE:
                {
                alt6=1;
                }
                break;
            case PI:
                {
                alt6=2;
                }
                break;
            case E:
                {
                alt6=3;
                }
                break;
            case LPAR:
                {
                alt6=4;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("41:1: atom : ( DOUBLE | PI | E | LPAR expr RPAR -> ^( expr ) );", 6, 0, input);

                throw nvae;
            }

            switch (alt6) {
                case 1 :
                    // calc5.g:42:7: DOUBLE
                    {
                    root_0 = (Object)adaptor.nil();

                    DOUBLE15=(Token)input.LT(1);
                    match(input,DOUBLE,FOLLOW_DOUBLE_in_atom260); 
                    DOUBLE15_tree = (Object)adaptor.create(DOUBLE15);
                    adaptor.addChild(root_0, DOUBLE15_tree);


                    }
                    break;
                case 2 :
                    // calc5.g:43:7: PI
                    {
                    root_0 = (Object)adaptor.nil();

                    PI16=(Token)input.LT(1);
                    match(input,PI,FOLLOW_PI_in_atom268); 
                    PI16_tree = (Object)adaptor.create(PI16);
                    adaptor.addChild(root_0, PI16_tree);


                    }
                    break;
                case 3 :
                    // calc5.g:44:7: E
                    {
                    root_0 = (Object)adaptor.nil();

                    E17=(Token)input.LT(1);
                    match(input,E,FOLLOW_E_in_atom276); 
                    E17_tree = (Object)adaptor.create(E17);
                    adaptor.addChild(root_0, E17_tree);


                    }
                    break;
                case 4 :
                    // calc5.g:45:7: LPAR expr RPAR
                    {
                    LPAR18=(Token)input.LT(1);
                    match(input,LPAR,FOLLOW_LPAR_in_atom284); 
                    stream_LPAR.add(LPAR18);

                    pushFollow(FOLLOW_expr_in_atom286);
                    expr19=expr();
                    _fsp--;

                    stream_expr.add(expr19.getTree());
                    RPAR20=(Token)input.LT(1);
                    match(input,RPAR,FOLLOW_RPAR_in_atom288); 
                    stream_RPAR.add(RPAR20);


                    // AST REWRITE
                    // elements: expr
                    // token labels: 
                    // rule labels: retval
                    // token list labels: 
                    // rule list labels: 
                    retval.tree = root_0;
                    RewriteRuleSubtreeStream stream_retval=new RewriteRuleSubtreeStream(adaptor,"token retval",retval!=null?retval.tree:null);

                    root_0 = (Object)adaptor.nil();
                    // 45:22: -> ^( expr )
                    {
                        // calc5.g:45:25: ^( expr )
                        {
                        Object root_1 = (Object)adaptor.nil();
                        root_1 = (Object)adaptor.becomeRoot(stream_expr.nextNode(), root_1);

                        adaptor.addChild(root_0, root_1);
                        }

                    }



                    }
                    break;

            }
            retval.stop = input.LT(-1);

                retval.tree = (Object)adaptor.rulePostProcessing(root_0);
                adaptor.setTokenBoundaries(retval.tree, retval.start, retval.stop);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end atom


 

    public static final BitSet FOLLOW_lines_in_calc42 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_calc44 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_line_in_lines67 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_NL_in_lines69 = new BitSet(new long[]{0x00000000000078C2L});
    public static final BitSet FOLLOW_expr_in_line89 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_term_in_expr108 = new BitSet(new long[]{0x00000000000000C2L});
    public static final BitSet FOLLOW_PLUS_in_expr111 = new BitSet(new long[]{0x00000000000078C0L});
    public static final BitSet FOLLOW_term_in_expr116 = new BitSet(new long[]{0x00000000000000C2L});
    public static final BitSet FOLLOW_MINUS_in_expr120 = new BitSet(new long[]{0x00000000000078C0L});
    public static final BitSet FOLLOW_term_in_expr125 = new BitSet(new long[]{0x00000000000000C2L});
    public static final BitSet FOLLOW_factor_in_term146 = new BitSet(new long[]{0x0000000000000302L});
    public static final BitSet FOLLOW_MULT_in_term149 = new BitSet(new long[]{0x00000000000078C0L});
    public static final BitSet FOLLOW_factor_in_term154 = new BitSet(new long[]{0x0000000000000302L});
    public static final BitSet FOLLOW_DIV_in_term158 = new BitSet(new long[]{0x00000000000078C0L});
    public static final BitSet FOLLOW_factor_in_term163 = new BitSet(new long[]{0x0000000000000302L});
    public static final BitSet FOLLOW_PLUS_in_factor186 = new BitSet(new long[]{0x00000000000078C0L});
    public static final BitSet FOLLOW_factor_in_factor191 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_MINUS_in_factor199 = new BitSet(new long[]{0x00000000000078C0L});
    public static final BitSet FOLLOW_factor_in_factor204 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_power_in_factor212 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_atom_in_power229 = new BitSet(new long[]{0x0000000000000402L});
    public static final BitSet FOLLOW_POW_in_power232 = new BitSet(new long[]{0x00000000000078C0L});
    public static final BitSet FOLLOW_factor_in_power237 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_DOUBLE_in_atom260 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PI_in_atom268 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_E_in_atom276 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_LPAR_in_atom284 = new BitSet(new long[]{0x00000000000078C0L});
    public static final BitSet FOLLOW_expr_in_atom286 = new BitSet(new long[]{0x0000000000008000L});
    public static final BitSet FOLLOW_RPAR_in_atom288 = new BitSet(new long[]{0x0000000000000002L});

}