// $ANTLR 3.0.1 calc5Tree.g 2010-03-23 17:20:33

import java.lang.Double;
import java.lang.Math;


import org.antlr.runtime.*;
import org.antlr.runtime.tree.*;import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class calc5Tree extends TreeParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "EXPR", "NL", "PLUS", "MINUS", "MULT", "DIV", "POW", "DOUBLE", "PI", "E", "LPAR", "RPAR", "INT", "WHITESPACE"
    };
    public static final int E=13;
    public static final int EXPR=4;
    public static final int POW=10;
    public static final int LPAR=14;
    public static final int DOUBLE=11;
    public static final int WHITESPACE=17;
    public static final int PLUS=6;
    public static final int RPAR=15;
    public static final int INT=16;
    public static final int PI=12;
    public static final int NL=5;
    public static final int MINUS=7;
    public static final int MULT=8;
    public static final int DIV=9;
    public static final int EOF=-1;

        public calc5Tree(TreeNodeStream input) {
            super(input);
        }
        

    public String[] getTokenNames() { return tokenNames; }
    public String getGrammarFileName() { return "calc5Tree.g"; }



    // $ANTLR start calc
    // calc5Tree.g:13:1: calc : ( expr )+ ;
    public final void calc() throws RecognitionException {
        double expr1 = 0.0;


        try {
            // calc5Tree.g:14:5: ( ( expr )+ )
            // calc5Tree.g:14:7: ( expr )+
            {
            // calc5Tree.g:14:7: ( expr )+
            int cnt1=0;
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( ((LA1_0>=PLUS && LA1_0<=E)) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // calc5Tree.g:14:8: expr
            	    {
            	    pushFollow(FOLLOW_expr_in_calc46);
            	    expr1=expr();
            	    _fsp--;

            	    System.out.println(expr1);

            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end calc


    // $ANTLR start expr
    // calc5Tree.g:17:1: expr returns [double value] : ( ^( PLUS e1= expr (e2= expr )? ) | ^( MINUS e1= expr (e2= expr )? ) | ^( MULT e1= expr e2= expr ) | ^( DIV e1= expr e2= expr ) | ^( POW e1= expr e2= expr ) | DOUBLE | PI | E );
    public final double expr() throws RecognitionException {
        double value = 0.0;

        CommonTree DOUBLE2=null;
        double e1 = 0.0;

        double e2 = 0.0;


        try {
            // calc5Tree.g:18:5: ( ^( PLUS e1= expr (e2= expr )? ) | ^( MINUS e1= expr (e2= expr )? ) | ^( MULT e1= expr e2= expr ) | ^( DIV e1= expr e2= expr ) | ^( POW e1= expr e2= expr ) | DOUBLE | PI | E )
            int alt4=8;
            switch ( input.LA(1) ) {
            case PLUS:
                {
                alt4=1;
                }
                break;
            case MINUS:
                {
                alt4=2;
                }
                break;
            case MULT:
                {
                alt4=3;
                }
                break;
            case DIV:
                {
                alt4=4;
                }
                break;
            case POW:
                {
                alt4=5;
                }
                break;
            case DOUBLE:
                {
                alt4=6;
                }
                break;
            case PI:
                {
                alt4=7;
                }
                break;
            case E:
                {
                alt4=8;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("17:1: expr returns [double value] : ( ^( PLUS e1= expr (e2= expr )? ) | ^( MINUS e1= expr (e2= expr )? ) | ^( MULT e1= expr e2= expr ) | ^( DIV e1= expr e2= expr ) | ^( POW e1= expr e2= expr ) | DOUBLE | PI | E );", 4, 0, input);

                throw nvae;
            }

            switch (alt4) {
                case 1 :
                    // calc5Tree.g:18:7: ^( PLUS e1= expr (e2= expr )? )
                    {
                    match(input,PLUS,FOLLOW_PLUS_in_expr72); 

                    match(input, Token.DOWN, null); 
                    pushFollow(FOLLOW_expr_in_expr76);
                    e1=expr();
                    _fsp--;

                    value = e1;
                    // calc5Tree.g:18:45: (e2= expr )?
                    int alt2=2;
                    int LA2_0 = input.LA(1);

                    if ( ((LA2_0>=PLUS && LA2_0<=E)) ) {
                        alt2=1;
                    }
                    switch (alt2) {
                        case 1 :
                            // calc5Tree.g:18:46: e2= expr
                            {
                            pushFollow(FOLLOW_expr_in_expr84);
                            e2=expr();
                            _fsp--;

                            value += e2;

                            }
                            break;

                    }


                    match(input, Token.UP, null); 

                    }
                    break;
                case 2 :
                    // calc5Tree.g:19:7: ^( MINUS e1= expr (e2= expr )? )
                    {
                    match(input,MINUS,FOLLOW_MINUS_in_expr98); 

                    match(input, Token.DOWN, null); 
                    pushFollow(FOLLOW_expr_in_expr102);
                    e1=expr();
                    _fsp--;

                    value = -e1;
                    // calc5Tree.g:19:46: (e2= expr )?
                    int alt3=2;
                    int LA3_0 = input.LA(1);

                    if ( ((LA3_0>=PLUS && LA3_0<=E)) ) {
                        alt3=1;
                    }
                    switch (alt3) {
                        case 1 :
                            // calc5Tree.g:19:47: e2= expr
                            {
                            pushFollow(FOLLOW_expr_in_expr109);
                            e2=expr();
                            _fsp--;

                            value = -value - e2;

                            }
                            break;

                    }


                    match(input, Token.UP, null); 

                    }
                    break;
                case 3 :
                    // calc5Tree.g:20:7: ^( MULT e1= expr e2= expr )
                    {
                    match(input,MULT,FOLLOW_MULT_in_expr123); 

                    match(input, Token.DOWN, null); 
                    pushFollow(FOLLOW_expr_in_expr127);
                    e1=expr();
                    _fsp--;

                    pushFollow(FOLLOW_expr_in_expr131);
                    e2=expr();
                    _fsp--;


                    match(input, Token.UP, null); 
                    value = e1 * e2;

                    }
                    break;
                case 4 :
                    // calc5Tree.g:21:7: ^( DIV e1= expr e2= expr )
                    {
                    match(input,DIV,FOLLOW_DIV_in_expr145); 

                    match(input, Token.DOWN, null); 
                    pushFollow(FOLLOW_expr_in_expr149);
                    e1=expr();
                    _fsp--;

                    pushFollow(FOLLOW_expr_in_expr153);
                    e2=expr();
                    _fsp--;


                    match(input, Token.UP, null); 
                    value = e1 / e2;

                    }
                    break;
                case 5 :
                    // calc5Tree.g:22:7: ^( POW e1= expr e2= expr )
                    {
                    match(input,POW,FOLLOW_POW_in_expr168); 

                    match(input, Token.DOWN, null); 
                    pushFollow(FOLLOW_expr_in_expr172);
                    e1=expr();
                    _fsp--;

                    pushFollow(FOLLOW_expr_in_expr176);
                    e2=expr();
                    _fsp--;


                    match(input, Token.UP, null); 
                    value = Math.pow(e1, e2);

                    }
                    break;
                case 6 :
                    // calc5Tree.g:23:7: DOUBLE
                    {
                    DOUBLE2=(CommonTree)input.LT(1);
                    match(input,DOUBLE,FOLLOW_DOUBLE_in_expr189); 
                    value = Double.parseDouble(DOUBLE2.getText());

                    }
                    break;
                case 7 :
                    // calc5Tree.g:24:7: PI
                    {
                    match(input,PI,FOLLOW_PI_in_expr218); 
                    value = Math.PI;

                    }
                    break;
                case 8 :
                    // calc5Tree.g:25:7: E
                    {
                    match(input,E,FOLLOW_E_in_expr251); 
                    value = Math.E;

                    }
                    break;

            }
        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return value;
    }
    // $ANTLR end expr


 

    public static final BitSet FOLLOW_expr_in_calc46 = new BitSet(new long[]{0x0000000000003FC2L});
    public static final BitSet FOLLOW_PLUS_in_expr72 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_expr_in_expr76 = new BitSet(new long[]{0x0000000000003FC8L});
    public static final BitSet FOLLOW_expr_in_expr84 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_MINUS_in_expr98 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_expr_in_expr102 = new BitSet(new long[]{0x0000000000003FC8L});
    public static final BitSet FOLLOW_expr_in_expr109 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_MULT_in_expr123 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_expr_in_expr127 = new BitSet(new long[]{0x0000000000003FC0L});
    public static final BitSet FOLLOW_expr_in_expr131 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_DIV_in_expr145 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_expr_in_expr149 = new BitSet(new long[]{0x0000000000003FC0L});
    public static final BitSet FOLLOW_expr_in_expr153 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_POW_in_expr168 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_expr_in_expr172 = new BitSet(new long[]{0x0000000000003FC0L});
    public static final BitSet FOLLOW_expr_in_expr176 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_DOUBLE_in_expr189 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PI_in_expr218 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_E_in_expr251 = new BitSet(new long[]{0x0000000000000002L});

}